:root {
	--bg: #ece9f1;
	--fg: #151515;
	--monospace:
		ui-monospace, SFMono-Regular, SF Mono, Menlo, Consolas, Liberation Mono,
		monospace;
	--sans-serif:
		system-ui, -apple-system, BlinkMacSystemFont, "Segoe UI", Helvetica, sans-serif,
		"Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol";
}

* {
	margin: 0;
	padding: 0;
}

*,
*::before,
*::after {
	box-sizing: inherit;
}

html {
	box-sizing: border-box;
	text-size-adjust: 100%;
	-moz-osx-font-smoothing: grayscale;
	-webkit-font-smoothing: antialiased;
	-webkit-tap-highlight-color: transparent;
	background: var(--bg);
	color: var(--fg);
	font: 400 100% / 1.6 var(--sans-serif);
}

code {
	font-family: var(--monospace);
}

h1 {
	font-family: var(--sans-serif);
	margin: 0 auto;
	font-weight: 900;
	font-size: 3.75rem;
	text-align: center;
	max-width: fit-content;
	line-height: 1.3;
	display: block;
}

h2 {
	font-size: 1.5rem;
	letter-spacing: -0.05em;
	margin-bottom: 1rem;
	font-weight: 700;
}

header {
	padding-top: 3rem;
	text-align: center;
}

header p {
	text-transform: capitalize;
	max-width: unset !important;
}

p {
	max-width: 65ch;
	opacity: 0.75;
	margin-bottom: 1rem;
}

pre {
	margin-bottom: 1rem;
	background: #151515;
	color: #fff;
	padding: 0.5rem;
	border-radius: 0.25rem;
}

[aria-label="Rainbow Emoji"] {
	font-size: 2rem;
	background: var(--fg);
	width: 3rem;
	height: 3rem;
	display: flex;
	flex-direction: column;
	justify-content: center;
	margin: 1rem auto 0;
	border-radius: 50%;
}

article {
	margin: 0 auto 2rem;
	max-width: 1280px;
	padding: 0 0.5rem;
	display: grid;
	gap: 2rem;
	grid-template-columns: repeat(12, minmax(0, 1fr));
}

.full {
	margin-bottom: 2rem;
}

section,
.full {
	grid-column: span 12 / span 12;
}

.title {
	background-clip: text;
	-webkit-background-clip: text;
	-webkit-text-fill-color: transparent;
	background-position: center;
	background-size: contain;
	background-image: linear-gradient(
		to right,
		hsl(8, 62%, 51%),
		hsl(24, 86%, 48%),
		hsl(44, 100%, 50%),
		hsl(163, 100%, 35%),
		hsl(199, 79%, 37%),
		hsl(254, 26%, 47%)
	);
}

footer {
	text-align: center;
}

footer small {
	opacity: 0.75;
}

.Usage {
	display: grid;
	gap: 2rem;
	grid-template-columns: repeat(12, minmax(0, 1fr));
}

.Usage > aside {
	grid-column: span 12 / span 12;
}

table {
	table-layout: auto;
	width: 100%;
	margin-right: auto;
	border-spacing: 0;
	border-collapse: collapse;
}

thead {
	font-family: var(--sans-serif);
}

th {
	padding: 0.5rem;
	text-align: left;
}

td {
	border: 1px solid rgba(20, 20, 20, 0.25);
	margin: 0;
}

td:first-of-type {
	width: 25%;
	padding: 0.5rem;
}

td:last-of-type {
	font-family: var(--sans-serif);
	padding-left: 0.5rem;
	padding-right: 0.5rem;
}

code {
	font-family: var(--monospace);
	padding: 0.25rem;
	border-radius: 0.25rem;
	font-size: small;
	padding: 0.25rem;
}

.FlagGrid {
	display: grid;
	gap: 1rem;
	grid-template-columns: repeat(2, minmax(0, 1fr));
}

.FlagContainer {
	margin: 0;
}

.FlagContainer > object[role="img"] {
	box-shadow:
		0 4px 6px -1px rgb(0 0 0 / 10%),
		0 2px 4px -1px rgb(0 0 0 / 6%);
	width: 100%;
	border-radius: 0.25rem;
	aspect-ratio: 16 / 9;
}

.FlagContainer > figcaption {
	text-align: center;
	padding-top: 0.25rem;
	font-family: var(--monospace);
	font-weight: 700;
	text-transform: uppercase;
	opacity: 0.75;
	font-size: 0.75rem;
	letter-spacing: 0.2rem;
}

.social {
	display: flex;
	justify-content: center;
	align-items: center;
}

.social > a {
	display: block;
	color: #000;
	margin: 0 1rem;
}

@media (prefers-color-scheme: dark) {
	:root {
		--bg: #050505;
		--fg: #ece9f1;
	}

	td {
		border: 1px solid rgba(247, 250, 252, 0.25);
	}

	.social > a {
		color: #fff;
	}
}

@media (min-width: 768px) {
	section {
		grid-column: span 6 / span 6;
	}

	.Usage > aside {
		grid-column: span 6 / span 6;
	}
	.FlagGrid {
		grid-template-columns: repeat(4, minmax(0, 1fr));
	}
}

@media (min-width: 1024px) {
	.FlagGrid {
		grid-template-columns: repeat(6, minmax(0, 1fr));
	}
}
